// APPN07_Horloge_TestLCD
/* Auteur: Brock Craft 
 *
 * Horloge
 * Test de l'afficheur LCD
 * Librairies Wire, LiquidCrystal et Adafruit RTC
 *
 * v0.1 30.04.2013 VF par OE 1606
 * Adapté de http://www.adafruit.com/products/746
*/

#include <Wire.h>          // Librairie I2C Wire pour dialogue avec le DS1307
#include "RTClib.h"        // Fonctions de date et heure pour le DS1307
#include <LiquidCrystal.h> // Fonctions d'affichage pour le LCD

RTC_DS1307 rtc;                         // Objet horloge rtc
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);  // Objet afficheur lcd 

void setup () {
  Wire.begin();      // Active les communications pour le LCD
  rtc.begin();       // Active le RTC
  lcd.begin(16, 2);  // Active le LCD
  lcd.print("  Tout est OK !");   // Affichage de message
  delay(1000);                    // Petite pause pour lire
  lcd.clear();       // Vidage de l'écran LCD
}

void loop(){
}
