// APPN12_Meteo_V1
/* Auteur : Brock Craft 
 * Station meteo, test des capteurs
 *
 * Version sans connexion web
 *
 * v0.1 14.05.2013 
 * VF par OE 160630
*/

const int broLumi = 2;
const int broTemp1 = 3;
const int broTemp2 = 4;

void setup() {
  Serial.begin(9600);
}

void loop() {
  float fLumi = map(analogRead(broLumi),0,1023,0,100);
 
  float fTemp1 = ((lireTension(broTemp1) -.5) * 100L);
  float fTemp2 = ((lireTension(broTemp2) -.5) * 100L);

  Serial.print("Temp 1 ('C): ");
  Serial.print(fTemp1);
  Serial.print(", Temp 2 ('C): ");
  Serial.print(fTemp2);
  Serial.print(", Lumi-R (V): ");
  Serial.println(fLumi);
  delay(250);
}

float lireTension(int broche){
  return (analogRead(broche) * .004882814);
}

